Bug 18598 - ssh-keygen -l does not work for dsa keys
Summary: ssh-keygen -l does not work for dsa keys
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: openssh (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-07 12:05 UTC by Gene Czarcinski
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-10 21:47:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gene Czarcinski 2000-10-07 12:05:18 UTC
I am running  2.2.0p1-2 but this also seems to occur with 2.1.1p4-1.

While ssh-keygen -l -f .ssh/identity.pub works fine by printing the
fingerprint and id, it does not work for dsa keys.

Running ssh-keygen -d -l -f .ssh/id_dsa.pub produces the message
".ssh/id_dsa.pub is not a valid key file".

Comment 1 Nalin Dahyabhai 2000-10-10 21:47:51 UTC
The ssh-keygen tool doesn't know how to read DSA keys.  We're testing a possible
fix.

Comment 2 Nalin Dahyabhai 2000-11-20 17:50:09 UTC
The fix appears to work correctly and will be included in the upcoming errata.


Note You need to log in before you can comment on or make changes to this bug.